Subject: bug#873 closed by Chong Yidong <[email-masked]> (Re: Recentering on scroll)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#873: Annoying recentering when scrolling down

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
873: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=873
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Sun Oct 26 22:18:59 2008
From: Chong Yidong <[email-masked]>
To: "Juanma Barranquero" <[email-masked]>
Cc: [email-masked], [email-masked]
Subject: Re: Recentering on scroll
Date: Mon, 27 Oct 2008 01:19:00 -0400

"Juanma Barranquero" <[email-masked]> writes:

> On Sat, Oct 25, 2008 at 19:03, Chong Yidong <[email-masked]> wrote:
>
>> Can anyone reproduce bug#873 (occasional recentering during C-n)?  I
>
> I can still reproduce it on Windows, though the effect's frequency
> varies with frame size and font (it seems to happen more often with
> DejaVu Sans Mono than Courier New, for example).

I managed to reproduce it, and found the bug that (I think) was causing
this problem.  I've checked in a fix.

>From [email-masked] Wed Sep  3 09:15:21 2008
Date: Wed, 3 Sep 2008 18:15:14 +0200
From: "Juanma Barranquero" <[email-masked]>
To: "Emacs Bug Tracker" <[email-masked]>
Subject: Annoying recentering when scrolling down

Package: emacs
Version: 23.0.60
Severity: normal

After setting this in .emacs:

(setq scroll-preserve-screen-position 'always
      scroll-conservatively           most-positive-fixnum ;; any large number
      scroll-step                     0)

scroll-down causes recentering. This is a regression.

The bug was apparently introduced by the following change:

2008-08-06  Chong Yidong  <address@hidden>

        * xdisp.c (try_scrolling): Use iterator to find the scroll margin,
        instead of window-end which does the wrong thing at eob.
        (try_cursor_movement): Minor optimization.
        (redisplay_window): If scroll margin is defined, don't assume
        window doesn't need scrolling.

emacs-devel discussion:

http://lists.gnu.org/archive/html/emacs-devel/2008-08/msg00903.html